## XfwWindowActionMenu

XfwWindowActionMenu — a GtkMenu subclass that lists window actions

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | xfw_window_action_menu_new ()

## Properties

XfwWindow * | window | Read / Write / Construct Only

## Types and Values

| XfwWindowActionMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── XfwWindowActionMenu

## Implemented Interfaces

XfwWindowActionMenu implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libxfce4windowingui/libxfce4windowingui.h>

## Description

XfwWindowActionMenu is a GtkMenu that contains actions that can be performed on a toplevel window, such as minimizing, maximizing, pinning, and moving to another workspace.

## Functions

### xfw_window_action_menu_new ()

    GtkWidget *
    xfw_window_action_menu_new (XfwWindow *window);

Creates a new window action menu that acts on `window` .

[constructor]

#### Parameters

window | an XfwWindow. | [not nullable][transfer none]

#### Returns

a new XfwWindowActionMenu instance, with a floating reference owned by the caller.

[not nullable][transfer full]

## Types and Values

### XfwWindowActionMenu

    typedef struct _XfwWindowActionMenu XfwWindowActionMenu;

## Property Details

### The `“window”` property

      “window”                   XfwWindow *

The XfwWindow instance used to create the action menu.

Owner: XfwWindowActionMenu

Flags: Read / Write / Construct Only